function [F, zst]=get_factors_all(D)

z=D.z;
m_max=D.mmax;
[T,N]=size(z);

% first standardize the data
z_mu=ones(1,T)*z/T;
z_dev=z-ones(T,1)*z_mu;
z_std=diag(z_dev'*z_dev/(T-1)).^0.5;
zst=z_dev./(ones(T,1)*z_std');

% now extract the factors
[F, lambda]=panelFactorNew(zst, m_max);



return