function ind = OCMT_sel(y,X,Xcond, pval, delta1, delta2 )

[T,N]=size(X);
p_val1=pval/(N^(delta1-1));
nc=size(Xcond,2);
%% initial stage
ts=zeros(N,1);
ind=false(N,1);
t_threshold1=norminv(1-p_val1/2/N,0,1); 
kappa=zeros(N,1);
for i=1:N
   Xr=[X(:,i), ones(T,1),Xcond];
   b=Xr\y;
   e=y-Xr*b;
   nr=size(Xr,2);
   ve=e'*e/(T-nr);
   App=inv(Xr'*Xr);
   seb=(App(1,1)*ve)^0.5;
   ts(i,1)=abs(b(1))/seb;
   kappa(i,1)=abs(b(1))/(ve^0.5);
   ind(i,1)=ts(i,1)>t_threshold1;
end

%% now iterations
indUIT=ind;

do_additional=true;
no_boost=0;
ind=indUIT;
p_val2=pval/(N^(delta2-1));
t_threshold2=norminv(1-p_val2/2/N,0,1); 
itr=1;
while do_additional
    itr=itr+1;
    if itr>2
        itr
    end
    ind0=ind;
    indb=false(N,1);    
    kappa=zeros(N,1);
    for i=1:N
        if ind0(i,1)==0
            Xr=[X(:,i), X(:,ind0), ones(T,1),Xcond];
            b=Xr\y;
            e=y-Xr*b;
            kr=size(Xr,2);
            ve=e'*e/(T-kr);
            iXX=inv(Xr'*Xr);
            seb=(iXX(1,1)*ve)^0.5;
            ts(i,1)=abs(b(1))/seb;
            kappa(i,1)=abs(b(1))/(ve^0.5);
            indb(i,1)=ts(i,1)>t_threshold2;
        end
    end
    ind=ind0 | indb;
    do_additional=sum(indb)>0;
    if do_additional
        no_boost=no_boost+1
    end
end


end

