% standard      Standardize colum-wise series in input matrix
%               [y]=standard(x) takes colum-wise series in x and delivers zero-mean, unit-variance matrix y
% NB: nanmean() and nanstd() from Statistics Toolbox
function [y]=standard(x)
[T,N]=size(x);
% y=(x-ones(size(x,1),1)*nanmean(x))./(ones(size(x,1),1)*nanstd(x));
% y=(x-kron(nanmean(x),ones(size(x,1),1)))./kron(nanstd(x),ones(size(x,1),1));
y=(x-repmat(nanmean(x),T,1))./repmat(nanstd(x),T,1);
